> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mapping

> Retrieves integrated search mapping data associated with the authenticated client.
            
Uses the integrated search provider used by the firm (e.g. InfoTrack).



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/integrated-search/mapping
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/integrated-search/mapping:
    get:
      tags:
        - Integrated Search
      summary: Get mapping
      description: "Retrieves integrated search mapping data associated with the authenticated client.\r\n            \r\nUses the integrated search provider used by the firm (e.g. InfoTrack)."
      operationId: GetMappingAsync
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'Mapping' object.
          content:
            application/json:
              schema: {}
        '400':
          description: When matter type could not be found for the supplied matter id.
components:
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````